﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
     <script type="text/javascript">
         var action1 = ["New", "Clear"],action2 = ["JustifyLeft", "JustifyCenter", "JustifyRight", "JustifyFull", "Undo", "Redo"];
         function executeAction(args) {
             var val=args.model.text;
             if (action1.indexOf(val) != -1)
                 $("#contenteditor").empty();
             else if (action2.indexOf(val) != -1)
                 document.execCommand(val, false, null);
             else
                 $("#contenteditor").append("<p> Action: " + val + " Triggered </p>");
         }
    </script>
    <link href="<%=ResolveClientUrl("~/Content/ej/ej.icons.css")%>" rel="stylesheet" />
    <style type="text/css">
        .e-contenteditor {
            width: 600px;
            height: 220px;
            border: 1px solid #D9DFDE;
            border-top: 0;
            overflow: auto;
        }
        .e-btn .e-btntxt {
            padding:0px!important;
        }
        .e-contenteditor p {
            margin: 20px;
        }
        .e-upimg{
            background-image: url("Content/images/arrow1.png");
            background-repeat:no-repeat;
            height: 32px;
            width: 32px;
            position: relative;
            top: -3px; 
        }
        .e-downimg{
            background-image: url("Content/images/arrow3.png");
            background-repeat:no-repeat;
            height: 32px;
            width: 32px;
        }
    </style>
</asp:Content>
 
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
      <div>
                    <ej:Ribbon ID="defaultRibbon" runat="server" Width="600px" ClientSideOnCreate="createControl">
                        <ApplicationTab ItemID="menu" Type="ApplicationMenu">
                            <MenuSettings OpenOnClick="false"></MenuSettings>               
                        </ApplicationTab>
                        <RibbonTabs>
                            <ej:RibbonTab Id="home" Text="HOME">
                                <TabGroupsCollection>
                                    <ej:TabGroup Text="New" AlignType="Columns">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="new" Text="New" ToolTip="New" Type="Button">
                                                        <ButtonSettings Type="Button" ContentType="ImageOnly" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-new" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                                <ContentDefaults Width="60" Height="70" Type="Button" />
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                     <ej:TabGroup Text="Actions" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Type="Button" Height="70" Width="45" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="undo" Text="Undo" ToolTip="Undo" IsBig="false">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-undo" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="upDown" Text="Up & Down" ToolTip="Up & Down">
                                                        <ButtonSettings ContentType="ImageTextImage" PrefixIcon="e-upimg" SuffixIcon="e-downimg" Click="executeAction" Type="Button" Width="120" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Alignment" Type="rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Type="Button" IsBig="false" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="bullet" Text="Bullet Format" ToolTip="Paragraph">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-bullet" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="number" Text="Paragraph" ToolTip="Paragraph" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-numbericon" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="textindent" Text="Indent" ToolTip="Text Indent">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-indent" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="textoudent" Text="Oudent" ToolTip="Text Oudent" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-outdent" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="sortascending" Text="Sort" ToolTip="Sort" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-sort" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="border" Text="Border" ToolTip="Border">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-border" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                            <ej:TabContent>
                                                <ContentDefaults IsBig="false" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="alignleft" Text="JustifyLeft" ToolTip="Align Left">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon alignleft" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="aligncenter" Text="JustifyCenter" ToolTip="Align Center">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon aligncenter " Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="alignright" Text="JustifyRight" ToolTip="Align Right">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon alignright" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="justify" Text="JustifyFull" ToolTip="Justify" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon justify" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="uppercase" Text="uppercase" ToolTip="Upper case">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-uppercase" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="lowercase" Text="Lower Case" ToolTip="Lower Case">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-lowercase" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                </TabGroupsCollection>
                            </ej:RibbonTab>
                        </RibbonTabs>
                    </ej:Ribbon>
                    <div id="contenteditor" class="e-contenteditor" contenteditable="true" spellcheck="false">
                        <p>Integer dui elit, cursus vel metus maximus, dictum semper magna. Donec volutpat porta gravida. Fusce dapibus cursus tellus et pulvinar. Fusce porta dolor eget consectetur ultricies.</p>
                        <p>Cras et quam scelerisque, blandit lorem a, tristique velit. Quisque sagittis sapien augue. Quisque tincidunt sit amet libero sed luctus.</p>
                        <p>Pellentesque rutrum mauris mi. Ut rutrum quam ac quam tincidunt elementum.</p>
                    </div>
                </div>
                <ul id="menu">
                    <li><a>FILE</a>
                        <ul>
                            <li><a>New</a></li>
                            <li><a>Open</a></li>
                            <li><a>Save</a></li>
                            <li><a>Save as</a></li>
                            <li><a>Print</a></li>
                        </ul>
                    </li>
                </ul>
</asp:Content>
